@ECHO OFF
REM H8FLPDIR has assemler floppy contents
set H8FLPDIR=G:\aki-h8\H8
if not EXIST %H8FLPDIR%\*.* goto ERR
REM H8CFLPDIR has C compiler floppy contents
set H8CFLPDIR=G:\aki-h8\H8C
if not EXIST %H8CFLPDIR%\*.* goto ERR
REM MONDIR has Monitor archive contents
set MONDIR=G:\aki-h8\MONITOR
if not EXIST %MONDIR%\300h\*.* goto ERR
REM ARCDIR has archive contents
set ARCDIR=G:\aki-h8\n2ih8
if not EXIST %ARCDIR%\*.* goto ERR
REM DEVDRV is drive letter which has working directory
set DEVDRV=C:
REM DEVDIR is working directory without drive letter
set DEVDIR=\fztat
REM WSPPATH is path for WSP
REM set WSPPATH=C:\BIN\WSP
@Echo -----------
@Echo make directories
@Echo -----------
if not exist %DEVDRV%%DEVDIR%\*.* mkdir %DEVDRV%%DEVDIR%
if not exist %DEVDRV%%DEVDIR%\h8\*.* mkdir %DEVDRV%%DEVDIR%\h8
if not exist %DEVDRV%%DEVDIR%\h8\h8c\*.* mkdir %DEVDRV%%DEVDIR%\h8\h8c
if not exist %DEVDRV%%DEVDIR%\h8\bin\*.* mkdir %DEVDRV%%DEVDIR%\h8\bin
if not exist %DEVDRV%%DEVDIR%\h8\include\*.* mkdir %DEVDRV%%DEVDIR%\h8\include
if not exist %DEVDRV%%DEVDIR%\temp\*. mkdir %DEVDRV%%DEVDIR%\temp
if not exist %DEVDRV%%DEVDIR%\h8\garmin\*.* mkdir %DEVDRV%%DEVDIR%\h8\garmin
if not exist %DEVDRV%%DEVDIR%\h8\garmin\U\*.* mkdir %DEVDRV%%DEVDIR%\h8\garmin\U
%DEVDRV%
cd %DEVDRV%%DEVDIR%\temp
if exist %DEVDRV%%DEVDIR%\h8\bin\A38H.EXE goto H8C
@Echo -----------
@Echo setup assembler
@Echo -----------
xcopy /s %H8FLPDIR% %DEVDRV%%DEVDIR%\h8\
command /c %DEVDRV%%DEVDIR%\h8\asm\h8asm.exe
move *.exe %DEVDRV%%DEVDIR%\h8\bin
move *.txt %DEVDRV%%DEVDIR%\h8\asm
move *.doc %DEVDRV%%DEVDIR%\h8\asm
:H8C
if exist %DEVDRV%%DEVDIR%\h8\bin\cc38h.exe goto U
@Echo -----------
@Echo Setup C compiler
@Echo -----------
xcopy /s %H8CFLPDIR% %DEVDRV%%DEVDIR%\h8\h8c\
command /c %DEVDRV%%DEVDIR%\h8\h8c\h8c.exe
move *.h %DEVDRV%%DEVDIR%\h8\include
move *.exe %DEVDRV%%DEVDIR%\h8\bin
move *.lib %DEVDRV%%DEVDIR%\h8\bin
:U
@Echo -----------
@Echo Setup GaminU
@Echo -----------
if not exist %DEVDRV%%DEVDIR%\h8\garmin\*.* xcopy /s %ARCDIR%\*.* %DEVDRV%%DEVDIR%\
xcopy /s /d %ARCDIR%\*.* %DEVDRV%%DEVDIR%\
cd %DEVDIR%\h8\garmin
if exist %DEVDRV%%DEVDIR%\temp\. rmdir %DEVDRV%%DEVDIR%\temp
%COMSPEC% /c GarminU.bat
@Echo -----------
@Echo continue Setup for GaminM ?
@Echo Press Ctrl-C for abort
@pause
if exist %DEVDRV%%DEVDIR%\h8\garmin\M\cpu*.obj goto M
if not exist %DEVDRV%%DEVDIR%\h8\monitor\*.* mkdir %DEVDRV%%DEVDIR%\h8\monitor
xcopy /s %MONDIR%\*.* %DEVDRV%%DEVDIR%\h8\monitor\
cd %DEVDRV%%DEVDIR%\h8\monitor\300h
%COMSPEC% /c akih8mon.bat
cd objs
if not exist %DEVDRV%%DEVDIR%\h8\garmin\M\*.* mkdir %DEVDRV%%DEVDIR%\h8\garmin\M
copy *.obj %DEVDRV%%DEVDIR%\h8\garmin\M
:M
cd %DEVDRV%%DEVDIR%\h8\garmin
if not exist cpu04.com goto M1
copy %DEVDRV%%DEVDIR%\h8\monitor\300h\advtip\3048\cpu04.src
command /c cpu04.com
del cpu04.com
:M1
%COMSPEC% /c garminM.bat
if not exist %DEVDRV%%DEVDIR%\flash.exe %DEVDRV%%DEVDIR%\h8\writer\setup
goto END
:ERR
echo '
echo Error !
echo '
:END
